aboutsummaryrefslogtreecommitdiffstats
path: root/main/libpaper/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-14 06:57:04 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-14 06:57:04 +0000
commitc1f008c5e6bee921388b33f0ac834ebf3c6a99d6 (patch)
treee58221597e0349e1b9cba6ed0117b4b2f0f6e910 /main/libpaper/APKBUILD
parent0b10c3c79cef919604fa0c604f01b3421a45a959 (diff)
downloadaports-c1f008c5e6bee921388b33f0ac834ebf3c6a99d6.tar.gz
aports-c1f008c5e6bee921388b33f0ac834ebf3c6a99d6.tar.bz2
aports-c1f008c5e6bee921388b33f0ac834ebf3c6a99d6.tar.xz
main/libpaper: new aport
Library for handling paper characteristics http://packages.debian.org/unstable/source/libpaper
Diffstat (limited to 'main/libpaper/APKBUILD')
-rw-r--r--main/libpaper/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/main/libpaper/APKBUILD b/main/libpaper/APKBUILD
new file mode 100644
index 0000000000..9650361f41
--- /dev/null
+++ b/main/libpaper/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libpaper
+pkgver=1.1.23
+pkgrel=0
+pkgdesc="Library for handling paper characteristics"
+url="http://packages.debian.org/unstable/source/libpaper"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="bash"
+makedepends=""
+source="http://ftp.debian.org/debian/pool/main/libp/$pkgname/${pkgname}_$pkgver+nmu1.tar.gz"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver+nmu1
+ ./configure --prefix=/usr \
+ --mandir="$pkgdir"/usr/share/man
+ make || return 1
+ make prefix="$pkgdir"/usr install
+}
+
+md5sums="fb6c57fbad2e691b54210fad43745f4f libpaper_1.1.23+nmu1.tar.gz"